import { Store, Components, Packages, BuildConfiguration, RunConfiguration } from '@component-controls/core';
import { LoadingDocStore } from '@component-controls/instrument';
import { ConfigurationResult } from '@component-controls/config';
export interface LoadingStore {
    /**
     * build-time error
     */
    error?: string;
    /**
     * global configuration from project config file
     */
    config?: RunConfiguration;
    /**
     * global configuration from project config file
     */
    buildConfig?: BuildConfiguration;
    /**
     * global store of packages
     */
    packages: Packages;
    /**
     * global store of components
     */
    components: Components;
    /**
     * stores, loaded from each .stories.* file
     */
    stores: (Partial<Pick<LoadingDocStore, 'stories' | 'doc'>> & {
        filePath: string;
        hash?: string;
    })[];
    search: Store['search'];
}
export declare const store: LoadingStore;
export declare const reserveStories: (filePaths: string[]) => void;
export declare const removeStoriesDoc: (filePath: string) => void;
export declare const addStoriesDoc: (filePath: string, hash: string, added: LoadingDocStore) => void;
export declare const getSerializedStore: () => Promise<string>;
export declare let config: ConfigurationResult | undefined;
export declare const initializeBuildOptions: (rootPath: string, configPath?: string | undefined, defaultConfigPath?: string | undefined, userBuildConfig?: BuildConfiguration | undefined) => void;
